Package com.logicaldoc.core.conversion

# Class CompressedArchiveConverter

java.lang.Object
com.logicaldoc.core.conversion.AbstractFormatConverter
com.logicaldoc.core.conversion.CompressedArchiveConverter

All Implemented Interfaces:
  `FormatConverter`

Direct Known Subclasses:
  `RarConverter`, `SevenZipConverter`, `TarConverter`, `ZipConverter`

public abstract class CompressedArchiveConverter extends AbstractFormatConverter
A base class for those converters that operate on compressed archives

Since:
  8.8.3
Author:
  Marco Meschieri - LogicalDOC

## Constructor Summary

Constructors
Constructor
Description
`CompressedArchiveConverter()`

## Method Summary

### Methods inherited from class com.logicaldoc.core.conversion.AbstractFormatConverter

`convert, convert, equals, getExtension, getParameter, getParameterNames, getParameters, hashCode, isEnabled, loadParameters, setEnabled`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CompressedArchiveConverter

public CompressedArchiveConverter()